Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1738251 - Google calendar does not install without repeated attempts in KOrganizer
Summary: Google calendar does not install without repeated attempts in KOrganizer
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: akonadi-googledata
Version: 29
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-06 15:28 UTC by John Griffiths
Modified: 2019-11-27 23:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:11:21 UTC
Type: Bug


Attachments (Terms of Use)

Description John Griffiths 2019-08-06 15:28:06 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 John Griffiths 2019-08-06 15:39:47 UTC
Hit return and the bug got entered without the details.

Description of problem:
KOrganizer was not displaying all of my events that were in Google Calendar. Refreshing did not help. This has happened in the past and the only way to fix it was to delete and install Google Calendar in KOrganizer again.

Trying to install Google Calendar required many retries, often using xkill to get the screen to close.
Sometimes, KOrganizer would just crash when trying to add my account. Sometimes it would accept my email and then go to the password screen but the password screen would not accept any input. Sometimes it would accept my password and then crash KOrganizer. Sometimes it would get to granting permissions and then crash. Sometimes it let me accept the permissions but did not complete so the user account was not added.

Eventually, after multiple tries, I did get Google Calendar installed into KOrganizer.

Version-Release number of selected component (if applicable):
korganizer-18.12.2-1.fc29.x86_64
korganizer-libs-18.12.2-1.fc29.x86_64

How reproducible:
90% 

Steps to Reproduce:
1. If Google Calendar is installed, delete it.
2. Try to install Google Calendar.
3.

Actual results:
See description.

Expected results:
Should install smoothly without requiring repeated attempts.

Additional info:
This happened in Fedora 28, too.

Comment 2 Ben Cotton 2019-10-31 18:58:43 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 23:11:21 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.